# Character

A character that features in an anime or manga

| Field                  |                                                                                                                Argument | Type                                                                                                     | Description |
| ---------------------- | ----------------------------------------------------------------------------------------------------------------------: | -------------------------------------------------------------------------------------------------------- | ----------- |
| **id**                 |                        [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md)! | The id of the character                                                                                  |             |
| **name**               |     [CharacterName](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/charactername/README.md) | The names of the character                                                                               |             |
| **image**              |   [CharacterImage](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/characterimage/README.md) | Character images                                                                                         |             |
| **description**        |                   [String](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/string/README.md) | A general description of the character                                                                   |             |
| asHtml                 |                 [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md) | Return the string in pre-parsed html instead of markdown                                                 |             |
| **gender**             |                   [String](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/string/README.md) | The character's gender. Usually Male, Female, or Non-binary but can be any string.                       |             |
| **dateOfBirth**        |             [FuzzyDate](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/fuzzydate/README.md) | The character's birth date                                                                               |             |
| **age**                |                   [String](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/string/README.md) | The character's age. Note this is a string, not an int, it may contain further text and additional ages. |             |
| **bloodType**          |                   [String](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/string/README.md) | The characters blood type                                                                                |             |
| **isFavourite**        |                [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md)! | If the character is marked as favourite by the currently authenticated user                              |             |
| **isFavouriteBlocked** |                [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md)! | If the character is blocked from being added to favourites                                               |             |
| **siteUrl**            |                   [String](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/string/README.md) | The url for the character page on the AniList website                                                    |             |
| **media**              | [MediaConnection](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/mediaconnection/README.md) | Media that includes the character                                                                        |             |
| sort                   |            \[[MediaSort](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/enum/mediasort/README.md)] |                                                                                                          |             |
| type                   |               [MediaType](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/enum/mediatype/README.md) |                                                                                                          |             |
| onList                 |                 [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md) |                                                                                                          |             |
| page                   |                         [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md) | The page                                                                                                 |             |
| perPage                |                         [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md) | The amount of entries per page, max 25                                                                   |             |
| **updatedAt** ⚠️       |                         [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md) | <p>⚠️ <strong>DEPRECATED</strong></p><p>No data available</p>                                            |             |
| **favourites**         |                         [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md) | The amount of user's who have favourited the character                                                   |             |
| **modNotes**           |                   [String](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/string/README.md) | Notes for site moderators                                                                                |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://anilist.gitbook.io/anilist-apiv2-docs/docs/reference/object/character.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
